Bug 12598 - winbindd (as member) requires kerberos against trusted ad domain, while it shouldn't
winbindd (as member) requires kerberos against trusted ad domain, while it sh...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-22 19:51 UTC by Stefan Metzmacher
Modified: 2017-03-02 08:06 UTC (History)
4 users (show)

See Also:


Attachments
Patches for v4-6-test (13.29 KB, patch)
2017-02-27 19:19 UTC, Stefan Metzmacher
slow: review+
metze: review? (gd)
metze: review? (vl)
Details
Patches for v4-5-test (14.03 KB, patch)
2017-02-27 19:20 UTC, Stefan Metzmacher
slow: review+
metze: review? (gd)
metze: review? (vl)
Details
Patches for v4-4-test (11.21 KB, patch)
2017-02-27 19:20 UTC, Stefan Metzmacher
slow: review+
metze: review? (gd)
metze: review? (vl)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-02-22 19:51:30 UTC
When using our machine account in our own domain to contact
other domains we should autodetect the usage of kerberos
as we do when contacting our own domain.
Comment 1 Stefan Metzmacher 2017-02-27 19:19:38 UTC
Created attachment 12984 [details]
Patches for v4-6-test
Comment 2 Stefan Metzmacher 2017-02-27 19:20:05 UTC
Created attachment 12985 [details]
Patches for v4-5-test
Comment 3 Stefan Metzmacher 2017-02-27 19:20:40 UTC
Created attachment 12986 [details]
Patches for v4-4-test
Comment 4 Ralph Böhme 2017-02-27 20:53:39 UTC
Reassigning to Karolin for inclusion in 4.4, 4.5 and 4.6.
Comment 5 Stefan Metzmacher 2017-02-27 22:32:49 UTC
Pushed to autobuild-v4-{4,5,6}-test.
Comment 6 Karolin Seeger 2017-03-02 08:06:08 UTC
(In reply to Stefan Metzmacher from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!